/*Display Properties*/

.div-1{
	background-color: green;
	display: inline;
}

#span-1{
	background-color: purple;
	display: none;
	width: 200px;
	height: 200px;
}

#span-2{
	background-color: red;
	display: block;
}

#div-2{
	display: none;
}

#img{
	width: 250px;
	height: 250px;
}

#p-1{
	background-color: #87CEFA;
}

#p-2{
	background-color: RGB(255,105,180);
	width: 60%;
}

#p-3{
	width: 40%;
	background-color: yellow;
}

.sample{
	display: inline-block;
	width: 30%;
	border: 1px solid black;
	text-align: center;
}

/*Float Property*/
.img-float{
	width: 50px;
	height: 50px;
	float: right;
}

/*CSS Units*/
.box{
	background-color: red;
	border: 1p solid black;
	margin: 5px;
}

.fifty-percent{
	width: 50%;
	/*% means if browser size changes, width will also change*/
}

.one-hundred-pixels{
	width: 200px;
	/*px means if browser size change, width will stay the same*/
}

.fifty-vw{
	width: 50vw;
}

.fifty-vh{
	height: 50vh;
}

.parent{
	width: 135px;
	border: 2px solid navy;
}

.one-rem{
	font-size: 1rem;
}

.two-rem{
	font-size: 2rem;
}

.one-em{
	font-size: 1em;
}

.two-em{
	font-size: 2em;
}

.background{
	min-height: 100vh;
	background-color: gray;
	background-image: url(https://c4.wallpaperflare.com/wallpaper/43/1003/707/anime-your-name-kimi-no-na-wa-mitsuha-miyamizu-wallpaper-preview.jpg);
	background-repeat: no-repeat;
	background-size: cover;
	background-position: center center;
}

.bg-title{
	color: white;
	text-align: center;
	font-size: 5em;
	margin: 0;
	line-height: 30rem;
}

.container-bg{
	min-height: 100vh;
	background-color: rgba(0, 0, 0, 0.80);
}

/*CSS Positioning*/
.parent-element{
	background-color: skyblue;
	padding: 10px;

	min-height: 200vh;
}

.child1{
	background-color: gray;
	padding: 10px;
}

.child2{
	background-color: yellow;
	/*position: static-it will follow document flow, nothing happen*/
	/*position: relative- it will not follow doc flow based on ie top:  50x*/
	/*position:  fixed- it will stay in the same position whether you scroll the webpage*/
	/*position:  sticky - it will stick like fixed but only if you pass its position*/
	position: sticky;
	top:  10px;
	left: 10px;
	padding: 10px;
}

.child3{
	background-color: gray;
	padding: 10px;
}

/*Z-index property*/
.container{
	position: relative;
}

.black-box{
	position: relative;
	border: 2px solid black;
	height: 100px;
	width: 30px;
}

.gray-box{
	position: absolute;
	background-color: lightgray;
	height: 60px;
	width: 70%;
	left: 50px;
	top: 50px;
	z-index: 1;
}

.green-box{
	position: absolute;
	background-color: lightgreen;
	width: 35%;
	left: 270px;
	top: -15px;
	height: 100px;
	z-index: 2;
}